#!/usr/bin/env python3

import re
import sys
import string
import majka

majka = majka.Majka("majka/majka.w-lt")

def has_pos(word, pos):
	tags = majka.find(word)
	match = [x for x in tags if x['tags']['pos'] == pos]
	if len(match)>0:
		return match[0]['lemma']
	else:
		return False

def find_hyper(word, text):
	text = re.sub('[(),]', '', text)
	for w in text.split():
		lemma = has_pos(w, 'substantive')
		if lemma:
			return (word,lemma)
	return (word,u'')


if __name__ == "__main__":
	vstup = 'vstup.txt'
	for line in open(vstup, 'r'):
		if line.strip() != '':
			line_split = line.strip().split('|')
			hyper = find_hyper(line_split[0], line_split[1])
			print("%s = %s" % hyper)

# vim:ts=4 sts=4 sw=4 autoindent smarttab:
